### Hierarchy

- DOMMatrixReadOnly
  - DOMMatrix

## Index

### Properties

- a
- b
- c
- d
- e
- f
- is2D
- isIdentity
- m11
- m12
- m13
- m14
- m21
- m22
- m23
- m24
- m31
- m32
- m33
- m34
- m41
- m42
- m43
- m44

### Methods

- flipX
- flipY
- inverse
- multiply
- rotate
- rotateAxisAngle
- rotateFromVector
- scale
- scale3d
- skewX
- skewY
- toFloat32Array
- toFloat64Array
- toJSON
- transformPoint
- translate

## Properties

### a

a: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3569

### b

b: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3570

### c

c: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3571

### d

d: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3572

### e

e: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3573

### f

f: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3574

### is2D

is2D: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3575

### isIdentity

isIdentity: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3576

### m11

m11: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3577

### m12

m12: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3578

### m13

m13: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3579

### m14

m14: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3580

### m21

m21: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3581

### m22

m22: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3582

### m23

m23: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3583

### m24

m24: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3584

### m31

m31: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3585

### m32

m32: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3586

### m33

m33: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3587

### m34

m34: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3588

### m41

m41: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3589

### m42

m42: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3590

### m43

m43: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3591

### m44

m44: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3592

## Methods

### flipX

- flipX(): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3593

  #### Returns DOMMatrix

### flipY

- flipY(): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3594

  #### Returns DOMMatrix

### inverse

- inverse(): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3595

  #### Returns DOMMatrix

### multiply

- multiply(other?: DOMMatrixInit): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3596

  #### Parameters

  - ##### Optional other: DOMMatrixInit

  #### Returns DOMMatrix

### rotate

- rotate(rotX?: undefined | number, rotY?: undefined | number, rotZ?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3597

  #### Parameters

  - ##### Optional rotX: undefined | number

  - ##### Optional rotY: undefined | number

  - ##### Optional rotZ: undefined | number

  #### Returns DOMMatrix

### rotateAxisAngle

- rotateAxisAngle(x?: undefined | number, y?: undefined | number, z?: undefined | number, angle?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3598

  #### Parameters

  - ##### Optional x: undefined | number

  - ##### Optional y: undefined | number

  - ##### Optional z: undefined | number

  - ##### Optional angle: undefined | number

  #### Returns DOMMatrix

### rotateFromVector

- rotateFromVector(x?: undefined | number, y?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3599

  #### Parameters

  - ##### Optional x: undefined | number

  - ##### Optional y: undefined | number

  #### Returns DOMMatrix

### scale

- scale(scaleX?: undefined | number, scaleY?: undefined | number, scaleZ?: undefined | number, originX?: undefined | number, originY?: undefined | number, originZ?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3600

  #### Parameters

  - ##### Optional scaleX: undefined | number

  - ##### Optional scaleY: undefined | number

  - ##### Optional scaleZ: undefined | number

  - ##### Optional originX: undefined | number

  - ##### Optional originY: undefined | number

  - ##### Optional originZ: undefined | number

  #### Returns DOMMatrix

### scale3d

- scale3d(scale?: undefined | number, originX?: undefined | number, originY?: undefined | number, originZ?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3601

  #### Parameters

  - ##### Optional scale: undefined | number

  - ##### Optional originX: undefined | number

  - ##### Optional originY: undefined | number

  - ##### Optional originZ: undefined | number

  #### Returns DOMMatrix

### skewX

- skewX(sx?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3602

  #### Parameters

  - ##### Optional sx: undefined | number

  #### Returns DOMMatrix

### skewY

- skewY(sy?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3603

  #### Parameters

  - ##### Optional sy: undefined | number

  #### Returns DOMMatrix

### toFloat32Array

- toFloat32Array(): Float32Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3604

  #### Returns Float32Array

### toFloat64Array

- toFloat64Array(): Float64Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3605

  #### Returns Float64Array

### toJSON

- toJSON(): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3606

  #### Returns any

### transformPoint

- transformPoint(point?: DOMPointInit): DOMPoint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3607

  #### Parameters

  - ##### Optional point: DOMPointInit

  #### Returns DOMPoint

### translate

- translate(tx?: undefined | number, ty?: undefined | number, tz?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3608

  #### Parameters

  - ##### Optional tx: undefined | number

  - ##### Optional ty: undefined | number

  - ##### Optional tz: undefined | number

  #### Returns DOMMatrix

Generated using TypeDoc